View Issue Details

IDProjectCategoryView StatusLast Update
0003494GNUnetbuild processpublic2018-06-07 00:25
ReporterellAssigned Totg 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSXubu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003494: Revision 33951: Make fails
DescriptionMaking install in social
make[2]: Betrete Verzeichnis '/home/ell/gnunet/src/social'
  CC social_api.lo
social_api.c:203:1: error: conflicting types for 'GNUNET_SOCIAL_host_enter'
 GNUNET_SOCIAL_host_enter (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
In file included from social_api.c:33:0:
../../src/include/gnunet_social_service.h:259:1: note: previous declaration of 'GNUNET_SOCIAL_host_enter' was here
 GNUNET_SOCIAL_host_enter (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
social_api.c:345:1: error: conflicting types for 'GNUNET_SOCIAL_host_announce'
 GNUNET_SOCIAL_host_announce (struct GNUNET_SOCIAL_Host *host,
 ^
In file included from social_api.c:33:0:
../../src/include/gnunet_social_service.h:412:1: note: previous declaration of 'GNUNET_SOCIAL_host_announce' was here
 GNUNET_SOCIAL_host_announce (struct GNUNET_SOCIAL_Host *host,
 ^
social_api.c:418:1: error: conflicting types for 'GNUNET_SOCIAL_guest_enter'
 GNUNET_SOCIAL_guest_enter (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
In file included from social_api.c:33:0:
../../src/include/gnunet_social_service.h:523:1: note: previous declaration of 'GNUNET_SOCIAL_guest_enter' was here
 GNUNET_SOCIAL_guest_enter (const struct GNUNET_CONFIGURATION_Handle *cfg,
 ^
social_api.c:478:1: error: conflicting types for 'GNUNET_SOCIAL_guest_talk'
 GNUNET_SOCIAL_guest_talk (struct GNUNET_SOCIAL_Place *place,
 ^
In file included from social_api.c:33:0:
../../src/include/gnunet_social_service.h:606:1: note: previous declaration of 'GNUNET_SOCIAL_guest_talk' was here
 GNUNET_SOCIAL_guest_talk (struct GNUNET_SOCIAL_Guest *guest,
 ^
social_api.c:510:1: error: conflicting types for 'GNUNET_SOCIAL_guest_leave'
 GNUNET_SOCIAL_guest_leave (struct GNUNET_SOCIAL_Place *place, int keep_active)
 ^
In file included from social_api.c:33:0:
../../src/include/gnunet_social_service.h:632:1: note: previous declaration of 'GNUNET_SOCIAL_guest_leave' was here
 GNUNET_SOCIAL_guest_leave (struct GNUNET_SOCIAL_Guest *guest, int keep_active);
 ^
social_api.c:526:1: error: conflicting types for 'GNUNET_SOCIAL_guest_get_place'
 GNUNET_SOCIAL_guest_get_place (struct GNUNET_SOCIAL_Host *guest)
 ^
In file included from social_api.c:33:0:
../../src/include/gnunet_social_service.h:645:1: note: previous declaration of 'GNUNET_SOCIAL_guest_get_place' was here
 GNUNET_SOCIAL_guest_get_place (struct GNUNET_SOCIAL_Guest *guest);
 ^
make[2]: *** [social_api.lo] Fehler 1
make[2]: Verlasse Verzeichnis '/home/ell/gnunet/src/social'
make[1]: *** [install-recursive] Fehler 1
make[1]: Verlasse Verzeichnis '/home/ell/gnunet/src'
make: *** [install-recursive] Fehler 1
Steps To Reproducesvn up
sudo make install
TagsNo tags attached.

Activities

ell

2014-07-14 19:54

reporter   ~0008522

Last edited: 2014-07-18 08:45

View 7 revisions

Can you prioritize this issue?
Make fails also in Revision 33970.
Make fails also in Revision 33971,
Revision 33972, Revision 33973,33974,...33980...

tg

2014-07-23 20:36

manager   ~0008531

Fixed.

(You can use make -k to continue even if some experimental component fails to compile at the moment.)

Issue History

Date Modified Username Field Change
2014-07-10 20:32 ell New Issue
2014-07-12 00:38 Christian Grothoff Assigned To => tg
2014-07-12 00:38 Christian Grothoff Status new => assigned
2014-07-14 19:54 ell Note Added: 0008522
2014-07-14 19:54 ell Status assigned => feedback
2014-07-16 18:10 ell Note Edited: 0008522 View Revisions
2014-07-17 10:16 ell Note Edited: 0008522 View Revisions
2014-07-17 10:46 ell Note Edited: 0008522 View Revisions
2014-07-17 11:51 ell Note Edited: 0008522 View Revisions
2014-07-17 13:56 ell Note Edited: 0008522 View Revisions
2014-07-18 08:45 ell Note Edited: 0008522 View Revisions
2014-07-23 20:36 tg Note Added: 0008531
2014-07-23 20:36 tg Status feedback => resolved
2014-07-23 20:36 tg Fixed in Version => SVN HEAD
2014-07-23 20:36 tg Resolution open => fixed
2014-07-26 22:55 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2014-07-26 22:55 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed